<?php defined('SYSPATH') or die('No direct script access.');
/**
 * Hello world.... how are you?
 */

class helloworld {
	
	/**
	 * Registers the main event add method
	 *
	 * Pretty much just adds the add() method below to the generic
	 system.pre_controller event, effectively an event to add the other events
	 */
	public function __construct()
	{	
		// Hook into routing
		Event::add('system.pre_controller', array($this, 'add'));
	}
	
	/**
	 * Adds all the events to the main Ushahidi application
	 */
	public function add()
	{
		//askes to run the say_hello function when the event 'ushahidi_action.main_sidebar' is triggered. 
		//this event is triggered in /themes/default/views/main.php
		Event::add('ushahidi_action.map_main_filters', array($this, 'say_hello'));
	}
	
	/**
	Says hello to the world.
	*/
	public function say_hello()
	{
		echo '<h1 style="font-size:70px;">Hello World</h1>';
	}
}

new helloworld;
